package com.bonus.canteen.core.customer.vo;

import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("商家操作员分页")
@LeNiuDecryptDataProcess
@Data
public class MgrUserDetailVO {
   @ApiModelProperty("用户编号")
   private Long userId;
   @ApiModelProperty("用户名")
   private String username;
   @ApiModelProperty("真实姓名")
   @LeNiuDecryptField
   private String realName;
   @ApiModelProperty("电话号码")
   @LeNiuDecryptField
   private String phone;
   @ApiModelProperty("操作员头像")
   private String avatar;
   @ApiModelProperty("人员id")
   private Long custId;

   public Long getUserId() {
      return this.userId;
   }

   public String getUsername() {
      return this.username;
   }

   public String getRealName() {
      return this.realName;
   }

   public String getPhone() {
      return this.phone;
   }

   public String getAvatar() {
      return this.avatar;
   }

   public Long getCustId() {
      return this.custId;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setUsername(final String username) {
      this.username = username;
   }

   public void setRealName(final String realName) {
      this.realName = realName;
   }

   public void setPhone(final String phone) {
      this.phone = phone;
   }

   public void setAvatar(final String avatar) {
      this.avatar = avatar;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }




}
